Bug 802481 - Missing JCR configuration for cluster support [NEEDINFO]
Missing JCR configuration for cluster support
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.1.ER02
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 12:36 EDT by Thomas Heute
Modified: 2018-02-06 14:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8574 by hfnukal at 2012-03-13 03:57:45 EDT (show)
8574 by hfnukal at 2012-03-13 03:57:45 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 802481 - Missing JCR configuration for cluster support

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/jcr-configuration.xml (+19 / -0)
jmorgan: needinfo? (hfnukal)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2372 Major Resolved The RPCService is missing in the JCR configuration 2018-02-05 07:42 EST

  None (edit)
Description Thomas Heute 2012-03-12 12:36:49 EDT
a required component is missing in the jcr config of GateIn 3.2 and EPP 5.2 which is the RPCService that is used by the JCR in cluster environment to allow cluster nodes to communicate.  See below an example of how to configure it:

  <component profiles="cluster">
    <key>org.exoplatform.services.rpc.RPCService</key>
    <type>org.exoplatform.services.rpc.impl.RPCServiceImpl</type>
    <init-params>
      <value-param>
        <name>jgroups-configuration</name>
        <value>${gatein.jcr.jgroups.config}</value>
      </value-param>
      <value-param>
        <name>jgroups-cluster-name</name>
        <value>RPCService-Cluster</value>
      </value-param>
      <value-param>
        <name>jgroups-default-timeout</name>
        <value>0</value>
      </value-param>
    </init-params>
  </component>

This should be added in gatein.ear/02portal.war/WEB-INF/conf/jcr/jcr-configuration.xml. More details about it here http://docs.jboss.org/exojcr/1.14.6-GA/developer/en-US/html_single/#Kernel.RPCService.
Comment 1 JBoss JIRA Server 2012-03-13 07:43:22 EDT
Honza Fnukal <hfnukal@redhat.com> updated the status of jira GTNPORTAL-2372 to Resolved

Note You need to log in before you can comment on or make changes to this bug.